/// <reference types="node" />
import { ProgressColor } from './../../model/progress/progress-color';
import { OnInit, OnChanges, SimpleChanges, AfterViewInit } from '@angular/core';
import { Subject } from 'rxjs';
import { ProgressConfiguration } from '../../model/progress/_index';
export declare class ProgressComponent implements OnInit, AfterViewInit, OnChanges {
    value: number;
    progressComplete: boolean;
    configuration: ProgressConfiguration;
    circumference: number;
    dashoffset: number;
    radiusReady: Subject<number>;
    color: ProgressColor;
    pathMask: string;
    circle: any;
    rotationReady: boolean;
    timeoutOrientation: NodeJS.Timer;
    onorientationchange(event: any): void;
    constructor();
    ngOnInit(): void;
    ngAfterViewInit(): void;
    renderSvgContainer(): void;
    initElements(): void;
    getRadius(): void;
    ngOnChanges(changes: SimpleChanges): void;
    setColor(): void;
    private progress;
}
